コンテンツへスキップ

AI バッグタスクを実行します。

リクエスト

このエンドポイントは、バッグバーチャル試着プロセスを開始します。ソースファイル、参照ファイル(URL または ID)、および性別とスタイルパラメータを指定する必要があります。タスクは非同期で処理され、このレスポンスで返される task_id を使用してステータスを確認できます。

セキュリティ
BearerAuthenticationV2
ボディapplication/json必須
Any of:
genderstring必須

画像内の人物の性別です。

Enum:"female""male"
例:"female"
src_file_urlstring必須

タスクを実行するファイルの URL。この URL は公開されている必要があります。

例:"https://example.com/selfie.jpg"
ref_file_urlstring必須

タスクを実行するための参照ファイルの URL。この URL は公開されている必要があります。

例:"https://example.com/accessory.jpg"
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/bag \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "ref_file_url": "https://example.com/accessory.jpg",
    "gender": "female"
  }'

レスポンス

タスクの実行に成功しました

ボディapplication/json
statusinteger

レスポンスステータス

例:200
dataobject
レスポンス
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }